Public Class frmZinsnachberechnung
    Dim KASSENBind As cEasyBinding
    Public table
    Public BIND_DB
    Sub New(table, BIND_DB)
        Me.table = table
        Me.BIND_DB = BIND_DB
        InitializeComponent()
    End Sub

    Private Sub frmZinsnachberechnung_Load(sender As Object, e As EventArgs) Handles Me.Load
        Try
            KASSENBind = New cEasyBinding(BIND_DB)
            Select Case table
                Case "" 'Sonderfall
                Case Else
                    KASSENBind.initBinding("SELECT *  FROM " & table & " WHERE verrechnet is null", table)
                    For Each c As DataColumn In KASSENBind.bindingdataTable.Columns
                        If c.ColumnName = "SSMA_TimeStamp" Then
                            KASSENBind.bindingdataTable.Columns.Remove(c)
                            Exit For
                        End If
                    Next
                    ' KASSENBind.initBinding("SELECT *  FROM " & table & "", table)
            End Select
            DataGridView.DataSource = KASSENBind.bindingdataTable
            ' DataGridView.AutoSize = True

        Catch ex As Exception
            MsgBox(ex.Message)
        End Try
    End Sub

    Private Sub btnSpeichern_Click(sender As Object, e As EventArgs) Handles btnSpeichern.Click
        KASSENBind.updateBinding()
    End Sub
End Class